Bug 174183 - Support for silent notifications
Support for silent notifications
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Window System
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Jaroslav Tulach
issues@platform
: API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-09 08:02 UTC by Jaroslav Tulach
Modified: 2009-10-16 10:16 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Proposed patch (10.40 KB, patch)
2009-10-09 08:22 UTC, Jaroslav Tulach
Details | Diff
Add-on change to simplify and unify slowness and exception notification (17.44 KB, patch)
2009-10-13 15:26 UTC, Jaroslav Tulach
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2009-10-09 08:02:59 UTC
The slowness detector would benefit from having an option to show a notification in less intrusive way. Just display 
its icon and leave it for user's attention, but unless the user is really interested, don't bother him with balloon 
info.
Comment 1 Jaroslav Tulach 2009-10-09 08:22:48 UTC
Created attachment 89161 [details]
Proposed patch
Comment 2 Jaroslav Tulach 2009-10-13 15:26:06 UTC
Created attachment 89372 [details]
Add-on change to simplify and unify slowness and exception notification
Comment 3 Jaroslav Tulach 2009-10-15 08:11:54 UTC
I guess it is OK to integrate this change.
Comment 4 Jaroslav Tulach 2009-10-15 11:44:09 UTC
core-main#e185f876016d
Comment 5 Quality Engineering 2009-10-16 10:16:18 UTC
Integrated into 'main-golden', will be available in build *200910160201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/e185f876016d
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #174183: NotificationDisplayer.Priority.SILENT and unification of exception and slowness reports


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo